/*!
* \file Personnage.h
* \brief Fichier contenant les signatures des fonctions liees a la structure personnage.
*/

#ifndef PERSONNAGE_H_INCLUDED
#define PERSONNAGE_H_INCLUDED

Personnage* init_personnage(Personnage *perso, Classe *c, Case *casedepart);

Case* getPosition(Personnage *p);

int get_PV(Personnage *p);

int get_PD(Personnage *p);

int get_mana(Personnage *p);

Classe * getClasse(Personnage *p);

char * getNomPersonnage(Personnage * p);

boolean est_paralyse(Personnage *p);

int deplacer_personnage (Personnage *perso, Case *destination);

int estSurLaCase(Personnage * p, Case * c);

#endif
